# Earlene Brown 747

- When I was a kid we use to watch Roller Derby and Earlene Brown 747 sometimes with her partner DC10 were the highlight:

![Earlene Brown 747](EarleneBrown747andDC10.png)

## [Roller Derby Video](https://www.youtube.com/watch?v=cAw6rGBjs1k)

- 3:00 Earlene Brown 747 and DC10
- All 747 - 4:20, 4:45, 7:00
